mscorlib 2.0.0.0 4.0.0.0 System.Enum

For additional information about VARKIND, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines the kind of variable.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARKIND

  The VARDESC structure describes a symbolic constant. There is no memory associated with it.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARKIND

  The variable can be accessed only through IDispatch::Invoke.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARKIND

  The variable is a field or member of the type. It exists at a fixed offset within each instance of the type.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARKIND

  There is only one instance of the variable.